package yi.iu.imgdb.learn.absrgn;

/**
 * Abstract region is an abstract representation of a feature vector.  Feature
 * vector will be represented just as a region
 */

public interface AbstractRegion {

  public AbstractRegion intersect(AbstractRegion ar2);
  public double size();
  public void scale(double scale);
  public void drawRegion(int[] pixels, int width, int height, int color);
}